Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.complexscripts.scripts
Class IndicScriptProcessor.DefaultSyllabizer

    java.lang.Object
      org.apache.fop.complexscripts.scripts.IndicScriptProcessor.Syllabizer
          org.apache.fop.complexscripts.scripts.IndicScriptProcessor.DefaultSyllabizer

All Implemented Interfaces:
  java.lang.Comparable

Enclosing class:
  IndicScriptProcessor

    protected static class IndicScriptProcessor.DefaultSyllabizer

extends IndicScriptProcessor.Syllabizer

Default syllabizer.

Method Summary
`protected int` | `findEndOfSyllable(int[] ca, int s, int e)` Find end of syllable in character array, starting at S, ending at E.
`protected int` | `findStartOfSyllable(int[] ca, int s, int e)` Find start of syllable in character array, starting at S, ending at E.
`protected GlyphSequence[]` | `segmentize(GlyphSequence gs, IndicScriptProcessor.Segment[] sa)` Construct array of glyph sequences from original glyph sequence and segment array.
`protected IndicScriptProcessor.Segment[]` | `segmentize(int[] ca, int nc)` Construct array of segements from original character array (associated with original glyph sequence)

Methods inherited from class org.apache.fop.complexscripts.scripts.IndicScriptProcessor.Syllabizer
`compareTo, equals, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### segmentize

    protected IndicScriptProcessor.Segment[] segmentize(int[] ca,
                                                        int nc)

  Construct array of segements from original character array (associated with original glyph sequence)

  Parameters:
    `ca` - input character sequence
    `nc` - number of characters in sequence
  Returns:
    array of syllable segments

### segmentize

    protected GlyphSequence[] segmentize(GlyphSequence gs,
                                         IndicScriptProcessor.Segment[] sa)

  Construct array of glyph sequences from original glyph sequence and segment array.

  Parameters:
    `gs` - original input glyph sequence
    `sa` - segment array
  Returns:
    array of glyph sequences each belonging to an (ordered) segment in SA

### findStartOfSyllable

    protected int findStartOfSyllable(int[] ca,
                                      int s,
                                      int e)

  Find start of syllable in character array, starting at S, ending at E.

  Parameters:
    `ca` - character array
    `s` - start index
    `e` - end index
  Returns:
    index of start or E if no start found

### findEndOfSyllable

    protected int findEndOfSyllable(int[] ca,
                                    int s,
                                    int e)

  Find end of syllable in character array, starting at S, ending at E.

  Parameters:
    `ca` - character array
    `s` - start index
    `e` - end index
  Returns:
    index of start or S if no end found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.